import type { PageResultProps } from './page-result';
declare var __VLS_1: {};
type __VLS_Slots = {} & {
    action?: (props: typeof __VLS_1) => any;
};
declare const __VLS_base: import("vue").DefineComponent<PageResultProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<PageResultProps> & Readonly<{}>, {
    img: string;
    title: string;
    desc: string;
    btnText: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
